body {
    font-family: 'Inter', sans-serif;
}
.dark body {
    background-color: #111827;
    color: #f3f4f6;
}
.drag-over-initial {
    border-color: #3b82f6;
    background-color: #eff6ff;
}
.dark .drag-over-initial {
    background-color: #1f2937;
}
.download-row:not(:last-child) {
    border-bottom: 1px solid #e5e7eb; /* gray-200 */
}
.dark .download-row:not(:last-child) {
    border-bottom-color: #374151; /* gray-700 */
}

/* Styles for the animating drop zone */
#add-more-button.is-dragging {
    width: 100vw;
    height: 100vh;
    bottom: 0;
    left: 0;
    border-radius: 0;
    background-color: rgba(255, 255, 255, 0.9);
    backdrop-filter: blur(4px);
}
.dark #add-more-button.is-dragging {
    background-color: rgba(17, 24, 39, 0.8); /* gray-900 with opacity */
}
#add-more-button .plus-icon {
    transition: opacity 0.2s ease-in-out;
}
#add-more-button.is-dragging .plus-icon {
    opacity: 0;
}
#add-more-button .drop-text-container {
    opacity: 0;
    transition: opacity 0.2s ease-in-out 0.1s;
}
#add-more-button.is-dragging .drop-text-container {
    opacity: 1;
}